OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.NV.VertexArrayRange

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_vertex_array_range extension not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/NV/vertex_array_range.txt.

Synopsis

- glVertexArrayRange :: GLsizei -> Ptr a -> IO ()
- glFlushVertexArrayRange :: IO ()
- gl_VERTEX_ARRAY_RANGE :: GLenum
- gl_VERTEX_ARRAY_RANGE_LENGTH :: GLenum
- gl_VERTEX_ARRAY_RANGE_VALID :: GLenum
- gl_MAX_VERTEX_ARRAY_RANGE_ELEMENT :: GLenum
- gl_VERTEX_ARRAY_RANGE_POINTER :: GLenum

# Functions

glVertexArrayRange :: GLsizei -> Ptr a -> IO ()

glFlushVertexArrayRange :: IO ()

# Tokens

gl_VERTEX_ARRAY_RANGE :: GLenum

gl_VERTEX_ARRAY_RANGE_LENGTH :: GLenum

gl_VERTEX_ARRAY_RANGE_VALID :: GLenum

gl_MAX_VERTEX_ARRAY_RANGE_ELEMENT :: GLenum

gl_VERTEX_ARRAY_RANGE_POINTER :: GLenum